/* ################# DEFAULTS ################# */
nav,
header,
footer {
    display: block;
    
}

body {
    line-height: 1;
    margin: 0;
    background-color: rgb(70, 2, 70);
    text-align: center;
    font-family: 'Courier New', Courier, monospace;
}
.para {
    background-color: rgb(9, 12, 59) ;
    padding: 6px;
    box-shadow: 2px 2px 5px;
}

img {
    height: 100px;
    width: 100px;
    box-shadow: 2px 2px 5px;
    border-radius: 20%;
}

.album {
    width: 99%;
    height: 700px;
    border-radius: 7%;
    margin: 2 ;
}
.album iframe {
    width: 98%;
    height: 700px;
    border-radius: 7%;
    margin: 8px;
    display: block;
    text-align: center;
    box-shadow: 3px 4px 4px 7px rgb(9, 12, 59);
}
.album h2 {

}


h1 {
    font-family: 'Courier New', Courier, monospace;
    color: blue;
    text-shadow: 5px 3px 4px black;
    font-size: 50px;
}

h1.foot-h1{
    color: white;
    text-shadow: 5px 3px 4px black;
    font-size: 25px;
}
h2 {
    font-family: 'Courier New', Courier, monospace;
    color: blue;
    text-shadow: 5px 3px 4px black;
    font-size: 25px;

}
p.inlink a {
    text-decoration: none;
    color: rgb(241, 128, 245);

}

p {
    min-width: 15px;
    color: rgb(169, 156, 243);
    font-size: 25px;
    
}

/* ################# NAV BAR ################# */
nav {
    width: 100%;
    margin: 0;
}

nav ul {
    background-color: rgb(9, 12, 59);
    overflow: hidden;
    padding: 0;
    margin: 0;

}



ul.float li {
    list-style: none ;
    float: left;
    
    
}

ul.float li.floatright {
    float: right;
    margin: 0;
}

ul.float li a {
    display: block;
    text-decoration: none;
    min-height: 16px;
    text-align: center;
    padding: 14px;
    text-transform: uppercase;
    color: lightblue;
    font-size: 24px;
}

ul.float li a:hover {
    background-color: rgb(54, 2, 54);
    color: rgb(129, 129, 250);
}

ul.float li.dropdownIcon {
    display: none;
}

/* ############ rows and colomns ############ */

.row {
    display: flex;
    width: 100%;
    box-shadow: 2px 2px 5px;
}

.row::after {
    display: block;
    clear: both;
    content: "";
}


div.row ul {
    list-style: none;
    color: lightblue;
    line-height: 2;
    text-align: center;
    margin: 0;
    padding: 0;
    
}

div.row ul.sponsors a {
    text-align: center;
    font-size: 17px;
}

div.col-6 p{
    font-size: 20px;
}

div.row a {
    color: lightblue;
    text-decoration: none;
    font-size: 25px;

}

div.row a:hover {
    background-color: black;
    color: white;
    padding: 5px;
    text-align: center;
    padding: 0;
}


.col-1 { width: 8.33%;}
.col-2 { width: 16.66%;}
.col-3 { width: 25%;}
.col-4 { width: 33.33%;}
.col-5 { width: 41.66%;}
.col-6 { width: 50%;}
.col-7 { width: 58.33%;}
.col-8 { width: 66.66%;}
.col-9 { width: 75%;}
.col-10 { width: 83.33%;}
.col-11 { width: 91.66%;}
.col-12 { width: 100%;}

* {
    box-sizing: border-box;
}
[class*="col-"]{
  border: 2px solid drgb(70, 2, 70);
  padding: 15px;
  background-color: rgb(9, 12, 59) ;

}

/* ############## support page styles############### */

div.details  {
    background-color: rgb(9, 12, 59);
    padding: 5px;
    border-radius: 5%;
    box-shadow: 3px 3px 6px;
    font-size: 30px;
    color: lightblue;
}

div.details img {
    border-radius: 90%;
    padding: 6px;
}

/* ############## collabporation page styles############### */

.para-2 a {
    color: lightblue;
    text-decoration: none;
}

/* ################ Media quarry ################## */
@media screen and (max-width: 680px) {
    ul.float li:not(:nth-child(1)) {
        display: none;
    }

    ul.float li.dropdownIcon {
        display: block;
        float: right;
    }

    ul.float.responsive li.dropdownIcon {
        position: absolute;
        top: 0;
        right: 0;

    }

    ul.float.responsive {

        position: relative;
    }

    ul.float.responsive li {
        display: inline;
        float: none;
    }

    ul.float.responsive li a {
        display: block;
        text-align: left;
    }

    .col-3,
    .col-6 {
        width: 100%;
        margin: 0;
    }

    *img {
        border-radius: 6%;
    }

     div.album {
        width: 99%;
    }

    div.album iframe {
        width: 99%;
        position: relative;
    }

    h1 {
        font-size: 30px;
        margin: 0;
    }

    h2 {
        font-size: 25px;
        margin: 25px;
    }

    p {
        font-size: 22px;
        margin-left: 60px;
        margin-right: 60px;
        margin-top: 0;
        margin-bottom: 0;
    }

    /* support pagr style */

    div.details {
        font-size: 23px;
    }


}